Bug 115349 - New Port: x11-toolkits/py-wxPython28 Python bindings for the wxWidgets library
Summary: New Port: x11-toolkits/py-wxPython28 Python bindings for the wxWidgets library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-09 15:20 UTC by Neal Nelson
Modified: 2007-09-29 19:00 UTC (History)
0 users

See Also:


Attachments
file.shar (65.28 KB, text/plain)
2007-08-09 15:20 UTC, Neal Nelson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Nelson 2007-08-09 15:20:03 UTC
	New Port: x11-toolkits/py-wxPython28 Python bindings for the wxWidgets library
Comment 1 Edwin Groothuis freebsd_committer 2007-08-09 15:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Alejandro Pulver freebsd_committer 2007-09-13 02:55:04 UTC
Responsible Changed
From-To: freebsd-python->alepulver

I'll take it.
Comment 3 Alejandro Pulver freebsd_committer 2007-09-13 05:26:29 UTC
State Changed
From-To: open->repocopy

Please repocopy x11-toolkits/py-wxPython26 -> x11-toolkits/py-wxPython28. 


Comment 4 Alejandro Pulver freebsd_committer 2007-09-13 05:26:29 UTC
Responsible Changed
From-To: alepulver->portmgr

Please repocopy x11-toolkits/py-wxPython26 -> x11-toolkits/py-wxPython28.
Comment 5 Joe Marcus Clarke freebsd_committer 2007-09-17 18:02:10 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2007-09-17 18:02:10 UTC
Responsible Changed
From-To: portmgr->alepulver

Repocopy complete.
Comment 7 dfilter service freebsd_committer 2007-09-29 18:54:42 UTC
alepulver    2007-09-29 17:54:39 UTC

  FreeBSD ports repository

  Modified files:
    .                    modules 
    x11-toolkits         Makefile 
    Mk                   bsd.wx.mk 
    x11-toolkits/py-wxPython28 Makefile distinfo pkg-plist 
    x11-toolkits/py-wxPython28-common Makefile pkg-plist 
    x11-toolkits/py-wxPython28-unicode Makefile 
  Log:
  - Complete repocopy of x11-toolkits/py-wxPython28,
    x11-toolkits/py-wxPython28-common and x11-toolkits/py-wxPython28-unicode,
    applying the corresponding patches.
  - Add PYDISTUTILS_NOEGGINFO to fix plist issues [1].
  - Integrate with bsd.wx.mk: the noticeable difference is that ports using
    USE_WX=2.6+ and WX_COMPS=python will be built from now on with wxWidgets
    2.8, which was previously restricted for these ports because of the lack of
    the "python" component for version 2.6 [1].
  
  PR:             ports/115349, ports/115350, ports/115351
  Submitted by:   Neal Nelson <neal@nelson.name>
  Reworked by:    alepulver (myself) [1]
  
  Revision  Changes    Path
  1.18822   +3 -0      CVSROOT/modules
  1.11      +7 -4      ports/Mk/bsd.wx.mk
  1.468     +3 -0      ports/x11-toolkits/Makefile
  1.8       +2 -3      ports/x11-toolkits/py-wxPython28-common/Makefile
  1.6       +198 -15   ports/x11-toolkits/py-wxPython28-common/pkg-plist
  1.3       +1 -1      ports/x11-toolkits/py-wxPython28-unicode/Makefile
  1.65      +23 -18    ports/x11-toolkits/py-wxPython28/Makefile
  1.21      +3 -3      ports/x11-toolkits/py-wxPython28/distinfo
  1.24      +79 -0     ports/x11-toolkits/py-wxPython28/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alejandro Pulver freebsd_committer 2007-09-29 18:55:38 UTC
State Changed
From-To: open->closed

New port added. Thanks!